{
  "format_version": "1.21.0",
  "minecraft:entity": {
    "description": {
      "identifier": "mdrb:suitcase_container_mdrb",
      "spawn_category": "creature",
      "is_spawnable": false,
      "is_summonable": true,
      "is_experimental": false
    },
    "component_groups": {
      "despawn": {
        "minecraft:instant_despawn": {}
      }
    },
    "components": {
      "minecraft:damage_sensor": {
        "triggers": {
          "cause": "all",
          "deals_damage": false
        }
      },
      "minecraft:type_family": {
        "family": [ "suitcase_container" ]
      },
      "minecraft:collision_box": {
        "width": 0.5,
        "height": 1
      },
      "minecraft:tameable": {
      },
      "minecraft:is_tamed": {
      },
      "minecraft:environment_sensor": {
        "triggers": {
          "filters": {
           "test": "is_riding", "value": false
          },
          "event": "despawn"
        }
      },
      "minecraft:inventory": {
        "container_type": "inventory",
        "inventory_size": 27,
        "restrict_to_owner": true
      },
      "minecraft:nameable": {
        "always_show": false,
        "allow_name_tag_renaming": false
      },
      "minecraft:conditional_bandwidth_optimization": {
      }
    },
    "events": {
      "despawn": {
        "add" : { "component_groups": ["despawn"] }
      }
    }
  }
}